<div fxLayout="column" fxLayoutAlign="space-between space-between" fxFlex style="height: 100%; padding-top: 15px ">


  <div fxLayout="column" fxLayoutAlign="space-between space-between">
    <div fxLayout="row" fxLayoutAlign="center center">

      <div fxLayout="column" fxLayoutAlign="space-between center" fxLayoutGap="16px">
        <span fxLayout="column" fxLayoutAlign="center center" (click)="openOrderModal()"
          style="cursor: pointer; width: 100px; height: 100px;  border-radius: 5px; border: 1px solid rgba(0,0,0,0.3);">

          <svg *ngIf="deliveryStatus == 1" style="width: 50px;  height: 50px;" [ngStyle]="{'fill': 'red'}">
            <use xlink:href="assets/icons/o.svg#icon-pause"></use>
          </svg>

          <svg *ngIf="deliveryStatus == 0" style="width: 50px;  height: 50px;" [ngStyle]="{'fill': 'green'}">
            <use xlink:href="assets/icons/l.svg#icon-play"></use>
          </svg>

        </span>
        <p><b>Disponibilité {{deliveryStatus == 1 ? 'active': 'désactivé' }} </b></p>
      </div>
    </div>



    <div fxLayout="column" fxLayoutGap="30px" fxLayoutAlign="center center">
      <h3>Assistance téléphonique</h3>
      <div fxLayout="row" fxLayoutAlign="center center " fxLayoutGap="25px" *ngFor="let phone of supportPhones">
        <svg style="width: 32px;  height: 32px;" [ngStyle]="{'fill': 'green'}">
          <use xlink:href="assets/icons/k.svg#icon-call"></use>
        </svg>
        <span> {{phone}}</span>
      </div>
    </div>
  </div>

  <div fxLayout="column" style="padding: 10px; text-align: right ">
    <span>Version {{version || '-' }} </span>
  </div>
</div>

<ng-template #dateModal let-dateModal>
  <div class="modal-header">
    <h5 class="modal-title"> Désactiver le service de livraison </h5>
  </div>


  <div class="modal-body" fxLayout="column" fxLayoutGap="15px" style="padding: 20px; height: 400px">
    <div fxLayout="column" (click)="setDate(0)" class="selectBox" [ngClass]="{'bgGreenSelected': option === 0 }"
      fxLayoutAlign="center center">
      <b>Pour 1 Heure</b>
    </div>

    <div fxLayout="column" (click)="setDate(1)" class="selectBox" [ngClass]="{'bgGreenSelected': option ===  1}"
      fxLayoutAlign="center center">
      <b>Pour 3 Heures</b>
    </div>

    <div fxLayout="column" (click)="setDate(2)" class="selectBox" [ngClass]="{'bgGreenSelected': option ===2 }"
      fxLayoutAlign="center center">
      <b>Jusqu'a demain</b>
    </div>

    <div fxLayout="column" (click)="setDate(3)" class="selectBox" [ngClass]="{'bgGreenSelected': option === 3 }"
      fxLayoutAlign="center center">
      <b>Indéfiniment</b>
    </div>

  </div>


  <div class="modal-footer" style="position: relative; height: 110px">
    <ng-container>
      <button type="button" class="btn 'btn-light'" #btn2 [disabled]="showLoading"
        (click)="dateModal.close('Close click'); option = -1; "><b>Retour</b></button>
      <button type="button" class="btn" #btn1 [ngClass]="{'btn-warning': option >= 0, 'btn-light' : option === -1  }"
        [disabled]="option === -1  " (click)="pauseDelivery(btn1, btn2, dateModal)">
        <b>Confirmer</b></button>
    </ng-container>
    <div id="loader" *ngIf="showLoading === true"> </div>
  </div>

</ng-template>




<!-- <div fxLayout="column" fxLayoutAlign="space-between space-between" fxFlex style="height: 100%; padding-top: 15px ">


  <div fxLayout="column" fxLayoutAlign="space-between space-between">
    <div fxLayout="row" fxLayoutAlign="center center">

      <div fxLayout="column" fxLayoutAlign="space-between center" fxLayoutGap="16px">
        <span fxLayout="column" fxLayoutAlign="center center" (click)="openOrderModal()"
          style="cursor: pointer; width: 100px; height: 100px;  border-radius: 5px; border: 1px solid rgba(0,0,0,0.3);">

          <svg *ngIf="deliveryStatus == 1" style="width: 50px;  height: 50px;" [ngStyle]="{'fill': 'red'}">
            <use xlink:href="assets/icons/o.svg#icon-pause"></use>
          </svg>

          <svg *ngIf="deliveryStatus == 0" style="width: 50px;  height: 50px;" [ngStyle]="{'fill': 'green'}">
            <use xlink:href="assets/icons/l.svg#icon-play"></use>
          </svg>

        </span>
        <p><b>Disponibilité {{deliveryStatus == 1 ? 'active': 'désactivé' }} </b></p>
      </div>
      <div fxLayout="column" fxLayoutAlign="space-between center" fxLayoutGap="16px">
        <span fxLayout="column" fxLayoutAlign="center center"
          style=" width: 100px; height: 100px;  border-radius: 5px; border: 1px solid rgba(0,0,0,0.3);">

          <svg style="width: 50px;  height: 50px;" [ngStyle]="{'fill': 'red'}">
            <use xlink:href="assets/icons/o.svg#icon-pause"></use>
          </svg>

        </span>
        <p><b>Assistance Téléphonique </b></p>
      </div>
    </div>



    <div fxLayout="column" fxLayoutGap="30px" fxLayoutAlign="center center">
      <h3>Assistance téléphonique</h3>
      <div fxLayout="row" fxLayoutAlign="center center " fxLayoutGap="25px" *ngFor="let phone of supportPhones">
        <svg style="width: 32px;  height: 32px;" [ngStyle]="{'fill': 'green'}">
          <use xlink:href="assets/icons/k.svg#icon-call"></use>
        </svg>
        <span> {{phone}}</span>
      </div>
    </div>
  </div>

  <div fxLayout="column" style="padding: 10px; text-align: right ">
    <span>Version {{version || '-' }} </span>
  </div>
</div>

<ng-template #dateModal let-dateModal>
  <div class="modal-header">
    <h5 class="modal-title"> Disponibilité </h5>
  </div>


  <div class="modal-body" fxLayout="column" fxLayoutGap="15px" style="padding: 20px; height: 400px">
    <div fxLayout="column" (click)="setDate(0)" class="selectBox" [ngClass]="{'bgGreenSelected': option === 0 }"
      fxLayoutAlign="center center">
      <b>Pour 1 Heure</b>
    </div>

    <div fxLayout="column" (click)="setDate(1)" class="selectBox" [ngClass]="{'bgGreenSelected': option ===  1}"
      fxLayoutAlign="center center">
      <b>Pour 3 Heures</b>
    </div>

    <div fxLayout="column" (click)="setDate(2)" class="selectBox" [ngClass]="{'bgGreenSelected': option ===2 }"
      fxLayoutAlign="center center">
      <b>Jusqu'a demain</b>
    </div>

    <div fxLayout="column" (click)="setDate(3)" class="selectBox" [ngClass]="{'bgGreenSelected': option === 3 }"
      fxLayoutAlign="center center">
      <b>Indéfiniment</b>
    </div>

  </div>


  <div class="modal-footer" style="position: relative; height: 110px">
    <ng-container>
      <button type="button" class="btn 'btn-light'" #btn2 [disabled]="showLoading"
        (click)="dateModal.close('Close click'); option = -1; "><b>Retour</b></button>
      <button type="button" class="btn" #btn1 [ngClass]="{'btn-warning': option >= 0, 'btn-light' : option === -1  }"
        [disabled]="option === -1  " (click)="pauseDelivery(btn1, btn2, dateModal)">
        <b>Confirmer</b></button>
    </ng-container>
    <div id="loader" *ngIf="showLoading === true"> </div>
  </div>

</ng-template>



 -->
